package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("获取所有原料信息")
public class DrpPurMaterialPageVO {
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("原料类型")
   private Integer materialType;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("采购单价")
   private Integer purPrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getPurPrice() {
      return this.purPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public DrpPurMaterialPageVO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpPurMaterialPageVO setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
      return this;
   }

   public DrpPurMaterialPageVO setMaterialName(final String materialName) {
      this.materialName = materialName;
      return this;
   }

   public DrpPurMaterialPageVO setMaterialType(final Integer materialType) {
      this.materialType = materialType;
      return this;
   }

   public DrpPurMaterialPageVO setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
      return this;
   }

   public DrpPurMaterialPageVO setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
      return this;
   }

   public DrpPurMaterialPageVO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpPurMaterialPageVO setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
      return this;
   }

   public DrpPurMaterialPageVO setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }

   public DrpPurMaterialPageVO setUnitName(final String unitName) {
      this.unitName = unitName;
      return this;
   }

   public DrpPurMaterialPageVO setPurPrice(final Integer purPrice) {
      this.purPrice = purPrice;
      return this;
   }

   public DrpPurMaterialPageVO setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
      return this;
   }
}
